Bug 490547 - Boot is failing due to harddisk error: SRST failed (errno=-16) [NEEDINFO]
Boot is failing due to harddisk error: SRST failed (errno=-16)
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
11
i386 Linux
low Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-03-16 18:41 EDT by Johan Ivarsson
Modified: 2010-06-28 07:29 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-06-28 07:29:24 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Vlasov49: needinfo? (johan_ivarsson)


Attachments (Terms of Use)
lshal output (113.92 KB, application/octet-stream)
2009-03-16 18:44 EDT, Johan Ivarsson
no flags Details
lspci output (22.28 KB, application/octet-stream)
2009-03-16 18:45 EDT, Johan Ivarsson
no flags Details

  None (edit)
Description Johan Ivarsson 2009-03-16 18:41:32 EDT
Description of problem:
When booting with the latest FC9 kernel (2.6.27.19-78.2.30.fc9.i686), one get stuck right after "Red Hat nash" with the error message:
ata2: SRST failed (errno=-16)
repeated 4 times

A similar situation appears when booting with the new Fedora 10 DVD, no harddisk seems to be detected by the installation process.

The same setup has been working flawless with Fedora 8 (2.6.26.8-57.fc8), moreover it also work as intended with the Fedora 9 kernel delivered on the DVD (2.6.25-14.fc9.i686)


Hardware setup
--------------
The harddisk is a Western Digital, WDC WD5000AAKS-00YGA0.
The motherboard is a "XFX Nforce 680i LT", so the sata_nv driver is used.

Worth observing, is that I have another computer with the same harddisk, but different motherboard (ATI), there does the latest FC9 kernel (2.6.27.19-78.2.30.fc9.i686) work.

I will attach lspci and lshal output.
Comment 1 Johan Ivarsson 2009-03-16 18:44:35 EDT
Created attachment 335442 [details]
lshal output
Comment 2 Johan Ivarsson 2009-03-16 18:45:57 EDT
Created attachment 335443 [details]
lspci output
Comment 3 Bug Zapper 2009-06-09 23:37:20 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Bug Zapper 2009-07-14 11:54:41 EDT
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 5 Johan Ivarsson 2009-10-14 15:08:02 EDT
I just downloaded the Fedora 11, again no harddisks are detected, i.e. the problem remains, therefore reopening the bug.

This issue is quite problematic, since one are stuck in FC9 with no possibility to upgrade.
Comment 6 Chuck Ebbert 2009-10-16 07:40:02 EDT
Try booting with the added kernel option 'ignore_loglevel' and see what additional message are produced when it hangs.
Comment 7 Johan Ivarsson 2009-10-28 17:30:37 EDT
Thanks for the suggestion; I got quite a few extra error messages (not clear to me how to get these ones saved when the boot fails, so I have typed some of them in manually):

ata2: link online but device misclassified, retrying
ata2: link is slow to respond, please be patient (ready=-19)
ata2: SRST failed (errno=-16)

Looking around a bit, I found among other bugs the following:
https://bugs.launchpad.net/ubuntu/+bug/220706

Some of the comments in that bug suggested that it is a cabling issue. Indeed, when reconnecting the cables to the hard drive, I actually managed to boot a 2.6.27 kernels (and later). This indicates that I have some hardware problem, I guess.

Observe however that the 2.6.26 always booted, so something has become more sensitive.

A weird thing is that I have had to take out and reinsert the SATA cable each day when restarting the computer in order to get it work.

I guess this indicates that something really is on the limit, and that the code in 2.6.26 was more forgiving compared to later kernels.
Comment 8 Voitenko 2010-03-28 11:18:02 EDT
I have got PATA Seagate 120 Gb disk at Russian Corner "Unona" for approx $10. All labels were at the places. So I guess my new disk was not used for forwarding any nails or so.
No one of my systems does find this disk. Nevertheless Mandriva 2010 in safe mode, and Fedora 10, and some other Linux systems really observe the disk. But they never open it, writing that same messages that reported mr Johan Ivarsson. I know that there is a table of disk sectors or bytes or so and it is enough to edit it correctly and the disk can be saved. But I do not know how I can get incide it.
Comment 9 Bug Zapper 2010-04-27 09:13:02 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 10 Bug Zapper 2010-06-28 07:29:24 EDT
Fedora 11 changed to end-of-life (EOL) status on 2010-06-25. Fedora 11 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.